org.appng.core.templating

## Class AppNGThymeleafDialect

- java.lang.Object
- - org.thymeleaf.dialect.AbstractDialect
  - - org.thymeleaf.dialect.AbstractProcessorDialect
    - - org.thymeleaf.standard.StandardDialect
      - - org.thymeleaf.spring4.dialect.SpringStandardDialect
        - - org.appng.core.templating.AppNGThymeleafDialect

- All Implemented Interfaces:
    org.thymeleaf.dialect.IDialect, org.thymeleaf.dialect.IExecutionAttributeDialect, org.thymeleaf.dialect.IExpressionObjectDialect, org.thymeleaf.dialect.IProcessorDialect

      public class AppNGThymeleafDialect
      extends org.thymeleaf.spring4.dialect.SpringStandardDialect

  An appNG specific Thymeleaf dialect to enable the functionality to add application-specific interceptors. An interceptor can redirect the 'replace' call of a fragment.
  Author:
    Claus Stümke

- - ### Field Summary

    - ### Fields inherited from class org.thymeleaf.spring4.dialect.SpringStandardDialect

      `DEFAULT_ENABLE_SPRING_EL_COMPILER, DEFAULT_RENDER_HIDDEN_MARKERS_BEFORE_CHECKBOXES, NAME, PREFIX, PROCESSOR_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppNGThymeleafDialect(Collection<ThymeleafReplaceInterceptor> interceptors)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<org.thymeleaf.processor.IProcessor>` | `getProcessors(String dialectPrefix)` Get all processors as composed by the `SpringStandardDialect`, remove the processor for the replace tag and add our own replace tag processor which enables the usage of interceptors.

    - ### Methods inherited from class org.thymeleaf.spring4.dialect.SpringStandardDialect

      `createSpringStandardProcessorsSet, createSpringStandardProcessorsSet, getConversionService, getEnableSpringELCompiler, getExecutionAttributes, getExpressionObjectFactory, getRenderHiddenMarkersBeforeCheckboxes, getVariableExpressionEvaluator, setEnableSpringELCompiler, setRenderHiddenMarkersBeforeCheckboxes`

    - ### Methods inherited from class org.thymeleaf.standard.StandardDialect

      `createStandardProcessorsSet, getCSSSerializer, getExpressionParser, getJavaScriptSerializer, setConversionService, setCSSSerializer, setExpressionParser, setJavaScriptSerializer, setVariableExpressionEvaluator`

    - ### Methods inherited from class org.thymeleaf.dialect.AbstractProcessorDialect

      `getDialectProcessorPrecedence, getPrefix`

    - ### Methods inherited from class org.thymeleaf.dialect.AbstractDialect

      `getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.thymeleaf.dialect.IDialect

      `getName`

- - ### Constructor Detail

    - #### AppNGThymeleafDialect

          public AppNGThymeleafDialect(Collection<ThymeleafReplaceInterceptor> interceptors)

  - ### Method Detail

    - #### getProcessors

          public Set<org.thymeleaf.processor.IProcessor> getProcessors(String dialectPrefix)

      Get all processors as composed by the `SpringStandardDialect`, remove the processor for the replace tag and add our own replace tag processor which enables the usage of interceptors.
      Specified by:
        `getProcessors` in interface `org.thymeleaf.dialect.IProcessorDialect`
      Overrides:
        `getProcessors` in class `org.thymeleaf.spring4.dialect.SpringStandardDialect`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.